@if (!edit) {
  <div
    class="flex-row full-height full-width"
    [ngClass]="getComponentClasses()"
    (click)="enableEditMode()"
  >
    @if (value) {
      <span
        class="field-value-color"
        nz-tooltip
        [sqtmCoreLabelTooltip]="value"
        [ellipsis]="true"
      >
        {{ value }}
      </span>
    } @else {
      @if (editable && showPlaceHolder) {
        <span class="sqtm-placeholder">
          {{
            !!placeholder
              ? placeholder
              : ('sqtm-core.generic.editable.placeholder' | translate)
          }}
        </span>
      }
      @if (editable) {
        <div class="full-width grid-icon">
          <span><i nz-icon nzType="edit" nzTheme="outline"></i></span>
        </div>
      }
    }
  </div>
}
@if (edit) {
  <div class="flex-column" [ngClass]="getComponentClasses()">
    <div class="flex full-width full-height" style="align-items: center">
      <input
        #input
        nz-input
        [class.async]="async"
        (keyup)="handleKeyboardInput($event)"
        [formControl]="formControl"
        (blur)="handleBlur()"
      />
    </div>
  </div>
}
